> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Chain and transactions volume

> Returns total USD and transactions volume for the given chainId.



## OpenAPI

````yaml /public/openapi.json get /api/v1/volume/{chainId}
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/volume/{chainId}:
    get:
      tags:
        - DeFi
      summary: Chain and transactions volume
      description: Returns total USD and transactions volume for the given chainId.
      operationId: VolumeController_getVolume
      parameters:
        - name: chainId
          required: true
          in: path
          description: Chain ID of the network to search for
          schema:
            default: 1
            example: '1'
            type: number
      responses:
        '200':
          description: ''

````